Package com.salesforce.datacloud.jdbc.interceptor

## Interface HeaderMutatingClientInterceptor

All Superinterfaces:
  `io.grpc.ClientInterceptor`

All Known Implementing Classes:
  `AuthorizationHeaderInterceptor`, `DataspaceHeaderInterceptor`, `HyperExternalClientContextHeaderInterceptor`, `HyperWorkloadHeaderInterceptor`, `MaxMetadataSizeHeaderInterceptor`, `QueryIdHeaderInterceptor`, `TracingHeadersInterceptor`

    public interface HeaderMutatingClientInterceptor
    extends io.grpc.ClientInterceptor

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default <ReqT,​RespT> io.grpc.ClientCall<ReqT,​RespT>` `interceptCall​(io.grpc.MethodDescriptor<ReqT,​RespT> method, io.grpc.CallOptions callOptions, io.grpc.Channel next)`
`void` `mutate​(io.grpc.Metadata headers)`

### Method Detail

#### mutate

    void mutate​(io.grpc.Metadata headers)

#### interceptCall

    default <ReqT,​RespT> io.grpc.ClientCall<ReqT,​RespT> interceptCall​(io.grpc.MethodDescriptor<ReqT,​RespT> method,
                                                                                  io.grpc.CallOptions callOptions,
                                                                                  io.grpc.Channel next)

Specified by:
  `interceptCall` in interface `io.grpc.ClientInterceptor`